<?php
require_once('comptes.php');

session_start();

function POSTredirect($feedback) {
	$_SESSION['feedback'] = $feedback;
	header('Location: connexion.php', true, 303);
	die;
}

/* Vérification des actions */
if (key_exists('login', $_POST) && key_exists('password', $_POST)) {
	$login = $_POST['login'];
	$password = $_POST['password'];
	unset($_SESSION['user']);
	foreach ($comptes as $c) {
		if ($c['login'] === $login && password_verify($password, $c['password'])) {
			$_SESSION['user'] = $c;
			POSTredirect('Connexion réussie');
		}
	}
	POSTredirect('Login inconnu ou mot de passe erroné');
}
if (key_exists('logout', $_POST)) {
	session_unset();
	POSTredirect('Déconnexion réussie');
}

/* Feedback */
$feedback = key_exists('feedback', $_SESSION) ? '<div style="color:tomato; font-weight:bold;">' . $_SESSION['feedback'] . '</div>' : '';
unset($_SESSION['feedback']);

/* Affichage */
if (key_exists('user', $_SESSION)) {
	$form = '<form method="POST"><button name="logout">Se déconnecter</button></form>';
} else {
	$form = '';
	$form .= '<form method="POST">'."\n";
	$form .= '<label>Nom : <input type="text" name="login" /></label>'."\n";
	$form .= '<label>Mot de passe : <input type="password" name="password" /></label>'."\n";
	$form .= '<button>Se connecter</button>'."\n";
	$form .= '</form>'."\n";
}

?>
<!DOCTYPE html>
<html>
<head>
	<title>Connexion et déconnexion — Exercice d'authentification</title>
	<meta charset="UTF-8" />
</head>
<body>
<h1>Page de connexion/déconnexion</h1>
<?php echo $feedback; ?>
<div><?php echo $form; ?></div>
<nav>
<ul>
	<li><a href="index.php">Page d'accueil</a></li>
	<li><a href="admin.php">Partie admin</a></li>
</ul>
</nav>
</body>
</html>
